// package.json
var version = "3.0.0-beta.34";

// src/workers/prod/worker-setup.ts
import { taskCatalog } from "@trigger.dev/core/v3";
import {
  TracingSDK,
  StandardTaskCatalog
} from "@trigger.dev/core/v3/workers";
__SETUP_IMPORTED_PROJECT_CONFIG__;
var tracingSDK = new TracingSDK({
  url: process.env.OTEL_EXPORTER_OTLP_ENDPOINT ?? "http://0.0.0.0:4318",
  instrumentations: setupImportedConfig?.instrumentations ?? [],
  diagLogLevel: process.env.OTEL_LOG_LEVEL ?? "none"
});
var otelTracer = tracingSDK.getTracer("trigger-prod-worker", version);
var otelLogger = tracingSDK.getLogger("trigger-prod-worker", version);
taskCatalog.setGlobalTaskCatalog(new StandardTaskCatalog());
export {
  otelLogger,
  otelTracer,
  tracingSDK
};
